Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IRemoteDocument

All Superinterfaces:
  IDocument

public interface IRemoteDocument
extends IDocument

Interface that represents a document retrieved by a remote crawler. New remote documents can be created using `IDocumentManager`.

See Also:
  `IDocumentManager`

Method Summary
`java.lang.String` | `getLocation()` Gets the location string of this document.
`void` | `setType(java.lang.String typeNameSpace, java.lang.String typeID)` Sets the document type identifier and namespace, which help the portal decide how to interpret a document's metadata.

Methods inherited from interface com.plumtree.remote.prc.IDocument
`getDataSourceID, getID, getLanguage, getParentFolderID, save, setLanguage, setOverrideDescription, setOverrideName`

Method Detail

### getLocation

    public java.lang.String getLocation()

  Gets the location string of this document. The location string is the string used by the data source to locate the document, which differs depending on the type of crawler used to import the document. In the case of the file crawer this could be a UNC path, whereas for a web crawler it could be the URL to the document, etc.

  Returns:
    the document's location

### setType

    public void setType(java.lang.String typeNameSpace,
                        java.lang.String typeID)

  Sets the document type identifier and namespace, which help the portal decide how to interpret a document's metadata. Standard namespaces are "File" and "MIME," although crawlers may define new namespaces. The typeID is typically the name of the file for the "File" namespace and the MIME type of the file for the "MIME" namespace. If a crawler defines its own namespace, then the typeID may have a different interpretation.

  Parameters:
    `typeNameSpace` - the document's typeNameSpace
    `typeID` - the document's typeID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.